/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\quests\kill quests\Newbie Quests\Ghoulish Visitors\SpectralSpellbinder.cs
Lines of code: 61
***********************************************************/


using System;
using Server;
using Server.Items;

namespace Server.Mobiles
{
	[CorpseName( "a ghostly corpse" )]
	public class SpectralSpellbinder : BaseCreature
	{
		[Constructable]
		public SpectralSpellbinder() : base( AIType.AI_Super, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Name = "a spectral spellbinder";
			Body = 748;
			Hue = 1364;
			BaseSoundID = 0x482;

			SetStr( 46, 70 );
			SetDex( 47, 65 );
			SetInt( 187, 210 );

			SetHits( 36, 50 );
			SetStam( 47, 65 );
			SetInt( 187, 210 );

			SetDamage( 3, 6 );

			SetDamageType( ResistanceType.Physical, 50 );
			SetDamageType( ResistanceType.Cold, 50 );

			SetResistance( ResistanceType.Physical, 25, 30 );
			SetResistance( ResistanceType.Cold, 15, 25 );
			SetResistance( ResistanceType.Poison, 10, 20 );

			SetSkill( SkillName.MagicResist, 35, 50 );
			SetSkill( SkillName.Tactics, 35, 50 );
			SetSkill( SkillName.Wrestling, 35, 45 );

			Fame = 400;
			Karma = -400;

			VirtualArmor = 20;

			PackReg( 6 );
		}

		
		public override bool CantbeSupreme { get { return false;} }		
	
		
		public override void GenerateLoot()
		{
			AddLoot( LootPack.Poor );
		}
		
		public override bool BleedImmune{ get{ return true; } }

		public override OppositionGroup OppositionGroup
		{
			get{ return OppositionGroup.FeyAndUndead; }
		}

		public override Poison PoisonImmune{ get{ return Poison.Lesser; } }

		public SpectralSpellbinder( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}